> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send sneak peek

> Sends a sneak peek to a chat.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/send_sneak_peek
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/send_sneak_peek:
    post:
      tags:
        - Events
      summary: Send sneak peek
      description: Sends a sneak peek to a chat.
      operationId: send-sneak-peek
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendSneakPeekRequest'
            example:
              chat_id: PJ0MRSHTDG
              sneak_peek_text: hello world
      responses:
        '200':
          description: Sneak peek sent.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    SendSneakPeekRequest:
      type: object
      required:
        - chat_id
        - sneak_peek_text
      properties:
        chat_id:
          type: string
          description: The ID of the chat to send a sneak peek to.
        sneak_peek_text:
          type: string
          description: The sneak peek text.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````